{* Smarty *}
{if $comm}
{$total_text}
<p>
	{foreach from=$search_menu key=key item=i name=i}
		{if $smarty.foreach.i.first||$smarty.foreach.i.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.i.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$i.url}">{$i.title}</a>
			{else}
				{$i.title}
			{/if}
			{if $smarty.foreach.i.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
{* To enable AJAX this table must have an id of "comments" and each comment must be between it's own tbody tags; $comm.approved must have the class "approved" *}
<table id="comments">
<thead>
	<tr>
		<th><a href="{$smarty.const.CF_BASE_URL}comments{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=u&d={if $order == 'u' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_USER}</a>{if $order == 'u'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
		<th><a href="{$smarty.const.CF_BASE_URL}comments{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=d&d={if $order == 'd' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_DATE}</a>{if $order == 'd'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
		<th>{$smarty.const.LN_COMMENT}</th>
		<th><a href="{$smarty.const.CF_BASE_URL}comments{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=a&d={if $order == 'a' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_APPROVED}</a>{if $order == 'a'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
	</tr>
</thead>
{foreach from=$comm item=i key=k}
<tbody>
	<tr>
		<td>{if $i.uid}<a href="{$smarty.const.CF_BASE_URL}comments/{$i.uid}">{$i.name}</a>{else}{$i.name}{/if}</td>
		<td>{$i.date}</td>
		<td>
			{if $i.type == 'page'}{$smarty.const.LN_PAGE}: <a href="{$i.linked.url}">{$i.linked.title}</a>
			{elseif $i.type == 'post'}{$smarty.const.LN_POST}: <a href="{$i.linked.url}">{$i.linked.title}</a>
			{else}
			{if $i.linked.record == 'person'}{$smarty.const.LN_PERSON}: <a href="{$i.linked.url}">{$i.linked.givn} {$i.linked.spfx_surn}</a> {if $i.linked.begi or $i.linked.end}({$i.linked.begi}-{$i.linked.end}){/if}{/if}
			{if $i.linked.record == 'fam'}{$smarty.const.LN_FAMILY}: {if $i.linked.husb}<a href="{$i.linked.husb.url}">{$i.linked.husb.npfx} {$i.linked.husb.givn} {$i.linked.husb.spfx_surn} {$i.linked.husb.nsfx}</a>{/if} & {if $i.linked.wife}<a href="{$i.linked.wife.url}">{$i.linked.wife.npfx} {$i.linked.wife.givn} {$i.linked.wife.spfx_surn} {$i.linked.wife.nsfx}</a>{/if}{/if}
			{if $i.linked.record == 'event'}{$smarty.const.LN_EVENT}: <a href="{$i.linked.url}">{$i.linked.type}: {$i.linked.value} {$i.linked.date} {$i.linked.plac}</a>{/if}
			{if $i.linked.record == 'media'}{$smarty.const.LN_MEDIA}: <a href="{$i.linked.url}">{$i.linked.titl}</a>{/if}
			{if $i.linked.record == 'note'}{$smarty.const.LN_NOTE}: <a href="{$i.linked.url}">{$i.linked.titl}</a>{/if}
			{if $i.linked.record == 'source'}{$smarty.const.LN_SOURCE}: <a href="{$i.linked.url}">{$i.linked.abbr}</a>{/if}
			{if $i.linked.record == 'repository'}{$smarty.const.LN_REPOSITORY}: <a href="{$i.linked.url}">{$i.linked.name}</a>{/if}
			{/if}
		</td>
		<td><span class="approved">{$i.approved}</span></td>
	</tr>
	<tr>
		<td colspan="3"><strong>{$smarty.const.LN_TEXT}:</strong> {$i.text|truncate:200:"...":false}</td>
		<td>
			{if $i.approve}<a href="{$i.approve}">{$smarty.const.LN_APPROVE}</a><br />{/if}
			{if $i.edit}<a href="{$i.edit}">{$smarty.const.LN_EDIT}</a><br />{/if}
			{if $i.delete}<a href="{$i.delete}">{$smarty.const.LN_DELETE}</a><br />{/if}
			{if $admin}<a href="{$smarty.const.CF_BASE_URL}comment/{$i.linked.ltid}/{$i.linked.lid}">{$smarty.const.LN_REPLY}</a>{/if}
		</td>
	</tr>
</tbody>
{/foreach}
</table>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
<p>
	{foreach from=$search_menu key=key item=i name=i}
		{if $smarty.foreach.i.first||$smarty.foreach.i.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.i.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$i.url}">{$i.title}</a>
			{else}
				{$i.title}
			{/if}
			{if $smarty.foreach.i.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
{/if}